import 'package:example/models/user/user.dart';
import 'package:fireproof_annotation/fireproof_annotation.dart';
import 'package:flutter_fireproof/flutter_fireproof.dart';

part 'root.fire.dart';

@root
abstract class Database {
  factory Database(FirebaseFirestore instance) = _Database;

  @Collection(name: 'users')
  FireCollectionReference<UserBase, UserDoc> get users;
}

// class _Database implements Database {
//   _Database(this.instance) : users = UsersCollection(instance.collection('users'));

//   @override
//   final UsersCollection users;

//   final FirebaseFirestore instance;
// }
